Bug 13138 - Remove jQuery plugins which were used by Solr
Summary: Remove jQuery plugins which were used by Solr
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 12538
  Show dependency treegraph
 
Reported: 2014-10-23 18:26 UTC by Owen Leonard
Modified: 2015-06-04 23:33 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13138 - Remove jQuery plugins which were used by Solr (21.68 KB, patch)
2014-10-23 18:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13138 - Remove jQuery plugins which were used by Solr (21.69 KB, patch)
2014-10-25 05:44 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 13138 - Remove jQuery plugins which were used by Solr (21.82 KB, patch)
2014-10-25 11:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-10-23 18:26:35 UTC
Two jQuery plugins are included in the staff client templates which were only used by Solr-related templates. They can be removed:

jquery.textarea-expander.js
tablednd.js
Comment 1 Owen Leonard 2014-10-23 18:33:48 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-10-25 05:44:22 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-10-25 11:08:10 UTC
Created attachment 32721 [details] [review]
[PASSED QA] Bug 13138 - Remove jQuery plugins which were used by Solr

This patch removes two jQuery plugins which were used only by
Solr-related templates. With the removal of Solr these plugins are
obsolete.

To test, search the Koha code for references to the two plugins:

jquery.textarea-expander.js
tablednd.js

There should be none.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Couldn't find any references. Also passes tests and QA script.
Comment 4 Tomás Cohen Arazi 2014-10-27 14:16:16 UTC
Patch pushed to master.

Thanks Owen!